RMADISON.FR(1)

NOM
rmadison - Interroger à distance la base de données de l’archive Debian

SYNOPSIS

rmadison [OPTIONS] PAQUET ...

DESCRIPTION
L’outil dak ls interroge la base d’archive Debian ("projectb") et affiche les versions de paquet enregistrées par architecture/composante/distribution. Le script CGI à https://qa.debian.org/madison.php met ce service à disposition, de sorte qu’un accès SSH à ftp-master.debian.org ou au miroir mirror.ftp-master.debian.org n’est pas requis. Ce script, rmadison, est un frontal en ligne de commande pour ce script CGI.

OPTIONS

-a, --architecture=ARCH
    n’afficher les informations que pour ARCH(s)

-b, --binary-type=TYPE
    n’afficher les informations que pour les binaires TYPE

-c, --component=COMPOSANTE
    n’afficher les informations que pour la ou les COMPOSANT(s)

-g, --greaterorequal
    afficher les informations de démon d’empaquetage "dep-wait pkg >= {highest version}"

-G, --greaterthan
    afficher les informations de démon d’empaquetage "dep-wait pkg >> {highest version}"

-h, --help
    afficher cette aide et quitter

-s, --suite=DISTRIBUTION
    n’afficher des informations que pour cette distribution

-r, --regex
    traiter PAQUET comme une expression rationnelle

    Remarque : Étant donné que l’option -r peut facilement créer un déni de service sur la base de données ("-r ."), cette option n’est pas prise en charge par le script CGI sur qa.debian.org ni sur la plupart des autres installations.

-S, --source-and-binary
    afficher les informations pour les binaires issus des paquets source

-t, --time
    afficher le temps utilisé pour faire l’image "projectb" et le temps de chargement (pas géré par toutes les archives)

-u, --url=URL[,URL ...]
    utilise URL pour la requête. Les raccourcis gérés sont
     debian https://api.ftp-master.debian.org/madison
     new https://api.ftp-master.debian.org/madison?s=new
     qa https://qa.debian.org/madison.php
     ubuntu https://people.canonical.com/~ubuntu-archive/madison.cgi
     udd https://qa.debian.org/cgi-bin/madison.cgi
     all https://qa.debian.org/cgi-bin/madison.cgi?table=all
     archive https://qa.debian.org/cgi-bin/madison.cgi?table=archived
     ports https://qa.debian.org/cgi-bin/madison.cgi?table=ports

    Consultez la variable RMADISON_URL_MAP_ ci-après pour une méthode d’ajout de raccourcis.

--version
    afficher la version et quitter

--no-conf, --noconf
    ne pas lire les fichiers de configuration de devscripts

ARCH, COMPOSANTE et DISTRIBUTION peuvent être des listes dont les éléments sont séparés par des virgules (ou des espaces), par exemple --architecture=amd64,i386

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont chargés dans cet ordre par un interpréteur de commandes pour définir les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les paramètres des variables d’environnement sont ignorés à cette fin. Les variables actuellement reconnues sont :

RMADISON_URL_MAP_RACCOURCIS=URL
    Ajouter une entrée pour configurer les URL de raccourcis listées ci-dessus. RACCOURCIS doit être remplacé par le raccourci à utilisé pour faire référence à URL.

    Plusieurs raccourcis peuvent être définis en utilisant plusieurs variables RMADISON_URL_MAP_*.

RMADISON_DEFAULT_URL=URL
    Définir l’URL par défaut à utiliser, à moins qu’une autre soit fournie par une option en ligne de commande. Pour Debian, c’est "debian" par défaut. Pour Ubuntu, c’est "ubuntu" par défaut.

RMADISON_ARCHITECTURE=ARCHITECTURE
    Définir l’architecture par défaut à utiliser, à moins qu’une autre soit fournie par une option en ligne de commande. Pour exécuter une requête non autorisée quand RMADISON_ARCHITECTURE est définie, utiliser --architecture='*'.

RMADISON_SSL_CA_FILE=FICHIER
    Utiliser le fichier d’autorité de certification spécifié, à la place du paquet d’autorité de certification par défaut pour curl ou wget, passé par l’option --cacert à curl et --ca-certificate à wget.

RMADISON_SSL_CA_PATH=CHEMIN
    Utiliser le répertoire d’autorité de certification spécifié, à la place du paquet d’autorité de certification par défaut pour curl ou wget, passé avec l’option --capath à curl et --ca-directory à wget.

NOTES
dak ls s’appelait précédemment madison.

Le protocole utilisé par rmadison est assez simple, le script CGI accepte en entrée les paramètres a, b, c, g, G, r, s, S, t et package. Le paramètre text est utilisé pour permettre une sortie textuelle.

VOIR AUSSI
dak(1), madison-lite(1)

AUTEUR
rmadison et https://qa.debian.org/madison.php ont été écrits par Christoph Berg <myon@debian.org>. dak a été écrit par James Troup <james@nocrew.org>, Anthony Towns <ajt@debian.org> et d’autres.

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2024